package com.sas.drugdev.rapi.permissions;

import java.net.URL;

import com.sas.drugdev.remote.repository.ContainerBean;
import com.sas.drugdev.remote.repository.RemoteContainer;
import com.sas.drugdev.remote.repository.RepositoryService;
import com.sas.drugdev.remote.repository.security.AccessControlList;
import com.sas.drugdev.remote.repository.AclRecurseBehavior;
import com.sas.drugdev.remote.session.SessionFactory;
import com.sas.drugdev.remote.session.UsernamePasswordCredentials;
import com.sas.drugdev.remote.session.Session;

public class TestClass {
	public static void main(String [] args){
		try{
			Session session = SessionFactory.newSession(new URL("https://sddgrandfather.sas.com:543/sddremote"), new UsernamePasswordCredentials("andepo", "Testing1!".toCharArray()));
			RepositoryService service = session.getServiceManager().getRepositoryService();
			RemoteContainer remoteContainer = service.getContainer(new ContainerBean("/SDD/Testing Area/andepo"));
			long start = System.currentTimeMillis();
			AccessControlList acl = service.getAccessControlList(remoteContainer);
			long end = System.currentTimeMillis();
			long elapsed = end - start;
			System.out.println("Elapsed time = " + elapsed);
			
			start = System.currentTimeMillis();
			service.updateContainerAccessControlList(acl, AclRecurseBehavior.RECURSE_NONE);
			end = System.currentTimeMillis();
			elapsed = end - start;
			System.out.println("Elapsed time = " + elapsed);
		}
		catch(Exception e){
			e.printStackTrace();
		}
	}
}
