package com.sas.drugdev.rapi.permissions;

import java.util.ArrayList;
import java.util.List;

public class UGEntity {
	private List	users;
	private List 	groups;
	private int 	size;
	
	public UGEntity(){
		users = new ArrayList();
		groups = new ArrayList();
		size = 0;
	}
	
	public List getUsers() {
		return users;
	}
	public void setUsers(List users) {
		this.users = users;
		size = users.size() + groups.size();
	}
	public List getGroups() {
		return groups;
	}
	public void setGroups(List groups) {
		this.groups = groups;
		size = groups.size() + users.size();
	}
	
	public void addUser(String user){
		users.add(user);
		size++;
	}
	public void addGroup(String group){
		groups.add(group);
		size++;
	}
	
	public int size(){
		return size;
	}
}
